Page MenuHomePhabricator

Crash on color selection when text input is active
Closed, ResolvedPublic

Description

Steps:

  1. Add text part;
  2. Select text field in the Text properties;
  3. Enter some text but don't press [enter] on keyboard;
  4. Click color in the State.

Actual result:

DBG<7802>:eflete ../../src/bin/ui/shortcuts/shortcuts.c:318 _key_unpress_event_cb() key_up  : o 32, mod: 0
eflete: ../../src/bin/ui/property_group.c:2855: _on_state_color_clicked: Assertion `pd->change == ((void *)0)' failed.
Aborted (core dumped)
o.gai created this task.Apr 21 2016, 9:01 AM
FurryMyad closed this task as Resolved.
FurryMyad reopened this task as Open.
artem.popov edited projects, added Eflete; removed Eflete (Eflete (v0.6.2-alpha)).
artem.popov raised the priority of this task from Normal to Incoming Queue.
FurryMyad closed this task as Resolved.Apr 27 2016, 8:15 AM
o.gai reopened this task as Open.Apr 28 2016, 4:59 AM

There is no crash, but selected color is not applied to text now.

FurryMyad edited projects, added Eflete (v0.6.2-pre-beta2); removed Eflete.
FurryMyad closed this task as Resolved.May 18 2016, 4:43 AM
FurryMyad updated the task description. (Show Details)

-17h